#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kscreen
Summary:        KDE Display Management software
Version: 5.8.6
Release:        %mkrel %{rel}
Group:          System/Configuration
License:        GPLv2
URL:            https://projects.kde.org/projects/extragear/base/kscreen
Source0:        http://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(kscreen2) >= 1.0.4
BuildRequires:  pkgconfig(QJson) >= 0.8.1

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Test)


BuildRequires:  kdbusaddons-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  ki18n-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kglobalaccel-devel

Obsoletes:      plasma-applet-kscreen < 5.3.2
Obsoletes:      krandr < 2:5.0.0


%description
KCM and KDED modules for managing displays in KDE.

%files -f %name.lang
%_kf5_bindir/kscreen-console
%_qt5_plugindir/kcm_kscreen.so
%_iconsdir/hicolor/48x48/actions/kdocumentinfo.png
%_iconsdir/hicolor/scalable/actions/kdocumentinfo.svgz
%_kf5_datadir/kcm_kscreen
%_kf5_services/kcm_kscreen.desktop
%_kf5_plugindir/kded/kscreen.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
%makeinstall_std -C build

%find_lang %name --all


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089025
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078160
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070717
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065167
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064477
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063048
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060273
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057599
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053055
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052682
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048347
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044268
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042556
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041393
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039499
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021869
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014537
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009274
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999258
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998013
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994388
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987076
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983741
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927968
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922505
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914841
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913588
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910686
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908847
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904400
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900729
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 899823
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889515
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874730
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869646
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862537
- New version 5.3.95

* Sat Jul 18 2015 lmenut <lmenut> 5.3.2-6.mga6
+ Revision: 855177
- remove old patches
- remove old Conflicts, Obsoletes, Provides & Recommends

* Wed Jul 08 2015 neoclust <neoclust> 5.3.2-5.mga6
+ Revision: 852669
- Obsoletes krandr

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 851746
- Fix upgrade mga#16299

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 850762
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0.71-3.mga5
+ Revision: 743384
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.71-2.mga5
+ Revision: 681208
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Aug 16 2014 lmenut <lmenut> 1.0.71-1.mga5
+ Revision: 663109
- Update to 1.1 RC1 (1.0.71) + patches from master
- properly requires libkscreen

* Sat Nov 23 2013 lmenut <lmenut> 1.0.2.1-1.mga4
+ Revision: 552389
- Update to 1.0.2.1
  update project URL

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-2.mga4
+ Revision: 531512
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 1.0.1-1.mga4
+ Revision: 463768
- new version 4.0.1

* Thu Jul 18 2013 lmenut <lmenut> 1.0-2.mga4
+ Revision: 455399
- Use kscreen by default
  + obsoletes kded_randrmonitor
  + suggests plasma-applet-kscreen (replace krandrtray)

* Mon Jun 17 2013 fwang <fwang> 1.0-1.mga4
+ Revision: 444046
- update file list
- new version 1.0

* Sun Jun 02 2013 neoclust <neoclust> 0.0.92-1.mga4
+ Revision: 434457
- Add plasma-applet-kscreen subpackage
- New version 0.0.92

* Sun Feb 10 2013 neoclust <neoclust> 0.0.71-4.mga3
+ Revision: 397795
- Requires kscreen ( mga # 9021 )

* Sun Feb 10 2013 lmenut <lmenut> 0.0.71-3.mga3
+ Revision: 397716
- add requires libkscreen
- add conflicts kded_randrmonitor
  kded_kscreen and kded_randrmonitor shouldn't run together

  + neoclust <neoclust>
    - Fix project URl

* Sun Jan 27 2013 neoclust <neoclust> 0.0.71-1.mga3
+ Revision: 392786
- imported package kscreen

